Subject: RE: [mobile-ip] Last Call: Regional Tunneling input

From: "Ahmad Muhanna"<[email-masked]>
Date: Fri, 26 Apr 2002 14:24:29 -0500

Hi Madhavi;
I am not one of the authors, BUT I think I can comment on this one.

> 
> Annika,
> 
> 
> 
> This seems to also be the case when the MN sets the CoA=0.0.0.0,
> and the HA doesn't support Regional Registrations...two RRQ trips
> if the MN attempts to register again with a non-zero CoA.  
> Can you please comment on this as well?

The draft mandates that Mobile Node MUST not set this address to
zero except if the MN and its HA support regional registration.

section 4.1. 
" 
    If the mobile node sets the care-of address to zero, the mobile node 
   and its home agent MUST support the GFA IP address extension (see section
8.1).  
" 

Regards,
Ahmad Muhanna
> 
> Thanks,
> Madhavi
> 
> > With the route optimization draft being optional 
> extensions, we should
> > be concerned about any additional delays to traffic 
> destined to the MN.
> > 
> > Thanks,
> > EQ 
> >  
> > 
> > 
>

---

From: "Emad Qaddoura" <[email-masked]>
Date: Sun, 28 Apr 2002 21:02:19 +0200

Hi,
 
            I agree that in section 4.1 the two RRQ should not exist
with proper implementation. But, in the case as in
 
            However, we should be able to avoid the double RRQ as
presented in my earlier email, below. 
 
            I will leave it up to the authors to respond, just in case I
mis-understood the statement.
 
Thx.
EQ 
 
> -----Original Message-----
> From: [email-masked] [mailto:owner-mobile-
> [email-masked]] On Behalf Of Emad Qaddoura
> Sent: Friday, April 26, 2002 6:14 PM
> To: 'Annika Jonsson'; [email-masked]
> Subject: RE: [mobile-ip] Last Call: Regional Tunneling input
> 
> Annika,
> 
>     My main concern about this draft:
> 
> 1) Has there been any studies/scenarios about the impact to in-flight
> traffic to the MN, while it is performing regional re-registrations?
> 
> 2) How does the old FA handle the data that is received while the MN
> re-registers with a new FA?
> 
> 3) I understand this is not any worse from the normal (in 2002) case
> without regional registrations, but the case below can make such delay
> longer.
> 
> From Section 5.0, 4th paragraph,
> "If the advertised GFA is not the same as the one the mobile node has
>    registered as its care-of address, and if the mobile node is still
>    within the same domain as it was when it registered that care-of
>    address, the mobile node MAY try to perform a regional registration
>    with its registered GFA. If the foreign agent cannot support
>    regional registration to a GFA, other than advertised, the foreign
>    agent denies the regional registration with code UNKNOWN_GFA (see
>    section 9.3).  In this case the MN has to do a new home
registration
>    via the new GFA."
> 
> As you see, there is extra registration step here,( if the current GFA
> used by the MN is not supported by the FA), adding possible delays to
> traffic, would it be reasonable to expect all FAs in the same domain
to
> handle the regional registration to the different GFAs. Or do I
> misunderstand the above paragraph?
> 
> With the route optimization draft being optional extensions, we should
> be concerned about any additional delays to traffic destined to the
MN.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Ahmad Muhanna
Sent: Friday, April 26, 2002 9:24 PM
To: 'Madhavi W. Chandra'
Cc: 'Annika Jonsson'; [email-masked]
Subject: RE: [mobile-ip] Last Call: Regional Tunneling input
 
Hi Madhavi; 

   and its home agent MUST support the GFA IP address extension (see
section 8.1).  
" 
Regards, 
Ahmad Muhanna

---

From: "Madhavi W. Chandra" <[email-masked]>
Date: Mon, 29 Apr 2002 09:42:12 -0400

HI Ahmad,

>    and its home agent MUST support the GFA IP address extension (see section

OK...thanks for pointing this out.  I was looking for such a 
statement, but somehow missed it.

Regards,
Madhavi